### Method

# EBackend ServerSideSource get_node

since: 3.6

#### Declaration [src]

    GNode*
    e_server_side_source_get_node (
      EServerSideSource* source
    )

#### Description [src]

Returns the `GNode` representing the `source`‘s hierarchical placement, or `NULL` if `source` has not been placed in the data source hierarchy. The data member of the `GNode` points back to `source`. This is an easy way to traverse ancestor and descendant data sources.

Note that accessing other data sources this way is not thread-safe, and this therefore function may be replaced at some later date.

Available since: 3.6

#### Return value

Type: `GNode`

A `GNode`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.